Bug 625244 - [abrt] OpenLP-1.9.2.1-1.fc13: csvbible.py:54:__init__:KeyError: u'You have to supply a file to import verses from.'
[abrt] OpenLP-1.9.2.1-1.fc13: csvbible.py:54:__init__:KeyError: u'You have to...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: OpenLP (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: TR Bentley
Fedora Extras Quality Assurance
abrt_hash:0e756cb3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 19:35 EDT by Gerardo Carmona
Modified: 2010-10-08 06:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 06:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.26 KB, text/plain)
2010-08-18 19:35 EDT, Gerardo Carmona
no flags Details

  None (edit)
Description Gerardo Carmona 2010-08-18 19:35:30 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/openlp
component: OpenLP
executable: /usr/bin/openlp
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: OpenLP-1.9.2.1-1.fc13
reason: csvbible.py:54:__init__:KeyError: u'You have to supply a file to import verses from.'
release: Fedora release 13 (Goddard)
time: 1282174493
uid: 500

backtrace
-----
csvbible.py:54:__init__:KeyError: u'You have to supply a file to import verses from.'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/openlp/plugins/bibles/forms/importwizardform.py", line 266, in onCurrentIdChanged
    self.performImport()
  File "/usr/lib/python2.6/site-packages/openlp/plugins/bibles/forms/importwizardform.py", line 413, in performImport
    versefile=unicode(self.field(u'csv_versefile').toString())
  File "/usr/lib/python2.6/site-packages/openlp/plugins/bibles/lib/manager.py", line 174, in import_bible
    importer = class_(self.parent, **kwargs)
  File "/usr/lib/python2.6/site-packages/openlp/plugins/bibles/lib/csvbible.py", line 54, in __init__
    raise KeyError(u'You have to supply a file to import verses from.')
KeyError: u'You have to supply a file to import verses from.'

Local variables in innermost frame:
self: <openlp.plugins.bibles.lib.csvbible.CSVBible object at 0x9d8216c>
parent: <bibles.bibleplugin.BiblePlugin object at 0x9b250ac>
kwargs: {'versefile': u'/home/Gerardo/Descargas/rv1960 - Para importar - To import/3.Verses-RV1960.csv', 'path': u'/home/Gerardo/.local/share/openlp/bibles', 'name': u'Reina Valera', 'booksfile': u'/home/Gerardo/Descargas/rv1960 - Para importar - To import/2.Books-RV1960.csv'}

How to reproduce
-----
1.Por todo se cae esta reverenda cochinada
2.Importing a bible
3.
Comment 1 Gerardo Carmona 2010-08-18 19:35:32 EDT
Created an attachment (id=439541)
File: backtrace
Comment 2 TR Bentley 2010-08-20 12:54:02 EDT
Interesting one.
Need to check out csv imports as not many are done at present.
Comment 3 TR Bentley 2010-08-31 14:15:11 EDT
An amended version of OpenLP is now available on updates-testing.   It contains many bug fixes and re-writes from upstream.
Comment 4 TR Bentley 2010-10-08 06:37:49 EDT
OpenLP 1.9.3 has been released and will fix this bug.

Note You need to log in before you can comment on or make changes to this bug.